using System.Threading.Tasks;
using Datory;
using GxPress.Common.Page;
using GxPress.Request.TrackLog;

namespace GxPress.Repository.Interface.TrackLog
{
    public interface ITrackLogRepository : IRepository
    {
        Task<PagedList<Entity.tede2.TrackLog.TrackLog>> GetAllAsync(TrackLogSearchRequest request);
        Task<bool> InsertAsync(Entity.tede2.TrackLog.TrackLog model);
        Task<bool> InsertAsync(string creator, int adminId, string ip, string remark);
    }
}